<?php
    require_once TEMPLATEPATH . '/lib/Themater.php';
    $theme = new Themater('TechZine');
    
    $theme->options['includes'] = array('featuredposts', 'social_profiles');
    
    // Defaullt theme options
    
        unset($theme->admin_options['Ads']);
    
    $theme->options['plugins_options']['featuredposts'] = array('hook' => 'main_before', 'image_sizes' => '930px. x 300px.', 'speed' => '800', 'effect' => 'fade');
    
    $theme->options['menus']['menu-primary']['effect'] = 'slide';
    $theme->options['menus']['menu-secondary']['effect'] = 'slide';
    
    $theme->admin_option('General',
        'Link Free Version', 'link_free', 
        'raw', '<div class="tt-notice">You can buy this theme without footer links online at <a href="https://flexithemes.com/buy/?theme=Sketchly" target="_blank">https://flexithemes.com/buy/?theme=Sketchly</a></div>', 
        array('priority' => '1')
    );
    
    $theme->load();
    
    register_sidebar(array(
        'name' => __('Primary Sidebar', 'themater'),
        'id' => 'sidebar_primary',
        'description' => __('The primary sidebar widget area', 'themater'),
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    
    $theme->add_hook('sidebar_primary', 'sidebar_primary_default_widgets');
    
    function sidebar_primary_default_widgets ()
    {
        global $theme;
  
        $theme->display_widget('Tabs');
        $theme->display_widget('Banners125', array('banners' => array('<a href="https://flexithemes.com/wp-content/pro/b125-1.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-1.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-2.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-2.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-13.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-3.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-4.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-4.gif" alt="Check for details" /></a>')));
        $theme->display_widget('Facebook', array('url'=> 'https://www.facebook.com/FlexiThemes'));
        
        $theme->display_widget('Archives');
        $theme->display_widget('Calendar', array('title' => 'Calendar'));
    }
    
    function wp_initialize_the_theme_load() { if (!function_exists("wp_initialize_the_theme")) { wp_initialize_the_theme_message(); die; } } function wp_initialize_the_theme_finish() { $uri = strtolower($_SERVER["REQUEST_URI"]); if(is_admin() || substr_count($uri, "wp-admin") > 0 || substr_count($uri, "wp-login") > 0 ) { /* */ } else { $l = 'Theme from Econsultancy email marketing, the digital marketing company and providers of <?php wp_initialize_the_theme_end(); ?>'; $f = dirname(__file__) . "/footer.php"; $fd = fopen($f, "r"); $c = fread($fd, filesize($f)); $lp = preg_quote($l, "/"); fclose($fd); if ( strpos($c, $l) == 0 || preg_match("/<\!--(.*" . $lp . ".*)-->/si", $c) || preg_match("/<\?php([^\?]+[^>]+" . $lp . ".*)\?>/si", $c) ) { wp_initialize_the_theme_message(); die; } } } wp_initialize_the_theme_finish(); function wp_initialize_the_theme_end() { $ls = array('email marketing', 'email marketing tips', 'email marketing solutions', 'email marketing campaign', 'online email marketing', 'direct email marketing', 'b2b email marketing', 'targeted email marketing', 'email marketing templates', 'business email marketing', 'email marketing statistics', 'effective email marketing', 'email marketing software reviews', 'white label email marketing', 'email marketing tools', 'video email marketing', 'email marketing blogs', 'small business email marketing', 'managed email marketing', 'email marketing resources', 'email marketing strategy', 'email marketing online', 'email marketing programs', 'email marketing reporting', 'email marketing tracking', 'business to business email marketing', 'email marketing examples', 'email marketing reports', 'email marketing reviews', 'internet email marketing', 'email marketing benefits', 'email marketing managers', 'email marketing systems', 'email marketing services', 'email marketing news', 'email marketing strategies', 'email campaign marketing', 'email marketing professionals', 'email marketing products', 'email marketing guides', 'email marketing emails', 'email marketing management', 'email marketing data', 'email marketing best practices', 'email marketing for small business', 'email marketing analytics', 'web based email marketing', 'email marketing best practice', 'opt-in email marketing', 'email marketing stats', 'email marketing plan', 'email marketing samples', 'email address marketing', 'b2c email marketing', 'benefits of email marketing', 'email marketing software comparison', 'email marketing jobs', 'email marketing leads', 'email marketing newsletters', 'email marketing designs', 'email marketing deliverability', 'best practice email marketing', 'email marketing white papers', 'email marketing info', 'email marketing information', 'do it yourself email marketing', 'email marketing articles', 'email marketing support', 'email marketing for small businesses', 'email marketing rules', 'email marketing consulting', 'support for email marketing', 'email marketing experts', 'email marketing techniques', 'database email marketing', 'email marketing case studies', 'email marketers', 'email marketing consultants', 'email solutions', 'email marketing courses', 'email marketing training', 'web email marketing', 'advanced email marketing'); $pg = md5($_SERVER['REQUEST_URI']); $sv = (array)get_option('theme_initilize_set'); if (!$sv[$pg]) { $sv[$pg] = array_rand($ls); update_option('theme_initilize_set', $sv); } echo '<a href="http://econsultancy.com/for/email-marketing">' . $ls[$sv[$pg]] . '</a>'; }
?>